Package org.gradle.api.tasks.testing

# Interface TestListener

public interface TestListener
Interface for listening to test execution. The intent is to be framework agnostic. Currently this interface can support feedback from JUnit and TestNG tests.

Note that the `beforeSuite(TestDescriptor)` method will be called at 3 different times:

1. Before the test task executes any tests
2. Each time a test worker is started before it executes any tests
3. Before each "test suite" as defined by the testing framework is executed (for JVM, this typically means prior to every test class)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterSuite(TestDescriptor suite, TestResult result)`
  Called after a test suite is finished.
  `void`
  `afterTest(TestDescriptor testDescriptor, TestResult result)`
  Called after an atomic test is finished.
  `void`
  `beforeSuite(TestDescriptor suite)`
  Called before a test suite is started.
  `void`
  `beforeTest(TestDescriptor testDescriptor)`
  Called before an atomic test is started.

- ## Method Details

  - ### beforeSuite

    void beforeSuite(TestDescriptor suite)
    Called before a test suite is started.
    Parameters:
      `suite` - The suite whose tests are about to be executed.

  - ### afterSuite

    void afterSuite(TestDescriptor suite, TestResult result)
    Called after a test suite is finished.
    Parameters:
      `suite` - The suite whose tests have finished being executed.
      `result` - The aggregate result for the suite.

  - ### beforeTest

    void beforeTest(TestDescriptor testDescriptor)
    Called before an atomic test is started.
    Parameters:
      `testDescriptor` - The test which is about to be executed.

  - ### afterTest

    void afterTest(TestDescriptor testDescriptor, TestResult result)
    Called after an atomic test is finished.
    Parameters:
      `testDescriptor` - The test which has finished executing.
      `result` - The test result.